## org.hibernate
Class SessionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.SessionException

All Implemented Interfaces:
  Serializable

    public class SessionException

extends HibernateException

Thrown when the user calls a method of a `Session` that is in an inappropropriate state for the given call (for example, the the session is closed or disconnected).

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`SessionException(String message)` Constructs a new SessionException with the given message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SessionException

    public SessionException(String message)

  Constructs a new SessionException with the given message.

  Parameters:
    `message` - The message indicating the specific problem.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.